/* ============================================================================
   FOOTER
   ============================================================================ */

/* --------------------------------------------------------------------------
   FOOTER CONTAINER
   -------------------------------------------------------------------------- */

#footer {
  border-top: solid 1px var(--color-light-grey);
  padding-top: unset!important;
  position: relative;
  background-image: url(../../img/background/backgroundFooter.png)!important;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

#footer .container {
  max-width: unset;
  padding-inline: unset;
}

body#checkout #footer {
  padding:unset;
}

/* --------------------------------------------------------------------------
   DISPLAY FOOTER BEFORE
   -------------------------------------------------------------------------- */

.displayFooterBefore {
  padding-bottom: unset;
  border-bottom: solid 1px var(--color-light-grey);
}

/* --------------------------------------------------------------------------
   DISPLAY FOOTER - MAIN CONTENT
   -------------------------------------------------------------------------- */

#footer .displayFooter {
  padding-block: 4.75rem 4.375rem;
  display: flex;
  /* grid-template-columns: auto auto; */
  gap: 117px;
  max-width: 1660px;
  padding-inline: 174px 36px;
  margin-inline: auto;
}

#footer .displayFooter .shop .logo {
  width: 9.375rem;
  max-width: 9.375rem;
  height: auto;
  margin-bottom: 30px;
}

#footer .displayFooter .shop p {
  font-size: .875rem;
  line-height: 1.5625rem;
  margin: unset;
  max-width: 12.5rem;
}

#footer .links .titleWrapper {
  text-transform: uppercase;
}

#footer .links ul li:not(:last-child) {
  margin-bottom: unset;
}

#footer .shop {
  width: fit-content;
}

#footer .links {
  justify-content: space-between;
}

@media (max-width: 1441px) {
  #footer .displayFooter {
    padding-left: 138px;
  }

  #footer .displayFooter .shop {
    grid-column: span 2;
  }
}

@media (max-width: 1200px) {
  #footer .displayFooter {
    grid-template-columns: auto auto;
    padding-left: 98px;
  }

  #footer .displayFooter .shop {
    grid-column: span 2;
  }
}

@media (max-width: 992px) {
  #footer .displayFooter {
    display: flex;
    gap: 77px;
    padding-inline: 35px;
  }

  #footer .displayFooter .shop p {
    max-width: none;
  }

  #footer .links {
    gap: 25px 76px;
    margin-block: unset;
    flex-direction: row;
  }
}

@media (width < 769px) {
    #footer .displayFooter {
        flex-direction: column;
        gap: 55px;
        padding-block: 81px 30px;
    }

    #footer .links {
        gap: 76px;
        flex-direction: column;
    }

    #footer .links .title {
        margin-bottom: unset;
        padding-bottom: unset;
        margin-bottom: 22px;
    }

    .links .collapse,.links .title .collapse-icons .remove,.links .title[aria-expanded=true] .collapse-icons .add,
    .links .collapse.in,.links .title[aria-expanded=true] .collapse-icons .remove {
        display: block
    }

    .links .collapse,
    .links .collapse.in,
    .links .collapsing,
    .links .collapsed {
        transition: none!important;
        height: fit-content!important;
    }

    #footer .links .navbar-toggler {
        display: none;
    }
}
/* --------------------------------------------------------------------------
   COPYRIGHT
   -------------------------------------------------------------------------- */

#footer .copyrightlink {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  padding-block: .875rem;
  background-color: var(--color-black);
  margin-inline: auto;
  justify-content: center;
}

#footer .copyrightlink p,
#footer .copyrightlink a,
#footer .copyrightlink span {
  font-size: .6875rem;
  line-height: 1.125rem;
  color: var(--color-white);
  margin: 0;
  text-transform: uppercase;
  font-family: var(--ffMMe);
}

#footer .lineBack {
  text-align: center;
}

#footer .copyrightlink p {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    column-gap: 4px;
    padding-inline: 24px;
}

#footer .links ul li a {
  font-family: var(--ffMRe);
  font-size: .875rem;
  line-height: 1.5625rem;
  color: var(--color-black)!important;
}

.page-footer:not(:has(> *)) {
  display: none;
}

@media (min-width: 993px) {
  #footer .copyrightlink a:hover {
    color: var(--color-white);
  }
}

@media (width < 769px) {
    #footer .displayFooter .shop .logo {
        aspect-ratio: 130/45;
        max-width: 130px;
        width: 100%;
        margin-bottom: 25px;
    }
}